Delete a Project Business Policy

delete

/ic/api/integration/v1/projects/{projectId}/mcp/policies/business/{id}

Deletes a project business policy. Deletion is rejected while active gateways reference the policy.

Request

Path Parameters
Query Parameters
  • This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
    Example:
    example-instance

There's no request body for this operation.

Back to Top

Response

204 Response

Successful operation, no content returned

400 Response

Malformed parameters

401 Response

Unauthorized or insufficient design-time permissions

404 Response

Project or resource not found, or the MCP feature is not available

412 Response

Precondition failed

500 Response

Server error
Back to Top

Examples

The following example shows how to delete a project business policy by submitting a DELETE request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.

Example: Delete a Project Business Policy

curl --request DELETE --include \
  --url "${BASE_URL}/ic/api/integration/v1/projects/${PROJECT_ID}/mcp/policies/business/${BUSINESS_POLICY_ID}?integrationInstance=${INTEGRATION_INSTANCE}" \
  --header "Authorization: Bearer ${ACCESS_TOKEN}" \
  --header "Accept: application/json"
Back to Top